Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network120.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
120.0.0.0
Broadcast address
121.255.255.255
First usable
120.0.0.1
Last usable
121.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 78000000 · Integer 2013265920 to 2046820351
Reverse DNS zones
120.in-addr.arpa
121.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111000.00000000.00000000.00000000120.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01111000.00000000.00000000.00000000120.0.0.0
Broadcast01111001.11111111.11111111.11111111121.255.255.255
Split into smaller subnets/14

120.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1120.0.0.0/14120.0.0.1 to 120.3.255.254120.3.255.255262,142
2120.4.0.0/14120.4.0.1 to 120.7.255.254120.7.255.255262,142
3120.8.0.0/14120.8.0.1 to 120.11.255.254120.11.255.255262,142
4120.12.0.0/14120.12.0.1 to 120.15.255.254120.15.255.255262,142
5120.16.0.0/14120.16.0.1 to 120.19.255.254120.19.255.255262,142
6120.20.0.0/14120.20.0.1 to 120.23.255.254120.23.255.255262,142
7120.24.0.0/14120.24.0.1 to 120.27.255.254120.27.255.255262,142
8120.28.0.0/14120.28.0.1 to 120.31.255.254120.31.255.255262,142
9120.32.0.0/14120.32.0.1 to 120.35.255.254120.35.255.255262,142
10120.36.0.0/14120.36.0.1 to 120.39.255.254120.39.255.255262,142
11120.40.0.0/14120.40.0.1 to 120.43.255.254120.43.255.255262,142
12120.44.0.0/14120.44.0.1 to 120.47.255.254120.47.255.255262,142
13120.48.0.0/14120.48.0.1 to 120.51.255.254120.51.255.255262,142
14120.52.0.0/14120.52.0.1 to 120.55.255.254120.55.255.255262,142
15120.56.0.0/14120.56.0.1 to 120.59.255.254120.59.255.255262,142
16120.60.0.0/14120.60.0.1 to 120.63.255.254120.63.255.255262,142
17120.64.0.0/14120.64.0.1 to 120.67.255.254120.67.255.255262,142
18120.68.0.0/14120.68.0.1 to 120.71.255.254120.71.255.255262,142
19120.72.0.0/14120.72.0.1 to 120.75.255.254120.75.255.255262,142
20120.76.0.0/14120.76.0.1 to 120.79.255.254120.79.255.255262,142
21120.80.0.0/14120.80.0.1 to 120.83.255.254120.83.255.255262,142
22120.84.0.0/14120.84.0.1 to 120.87.255.254120.87.255.255262,142
23120.88.0.0/14120.88.0.1 to 120.91.255.254120.91.255.255262,142
24120.92.0.0/14120.92.0.1 to 120.95.255.254120.95.255.255262,142
25120.96.0.0/14120.96.0.1 to 120.99.255.254120.99.255.255262,142
26120.100.0.0/14120.100.0.1 to 120.103.255.254120.103.255.255262,142
27120.104.0.0/14120.104.0.1 to 120.107.255.254120.107.255.255262,142
28120.108.0.0/14120.108.0.1 to 120.111.255.254120.111.255.255262,142
29120.112.0.0/14120.112.0.1 to 120.115.255.254120.115.255.255262,142
30120.116.0.0/14120.116.0.1 to 120.119.255.254120.119.255.255262,142
31120.120.0.0/14120.120.0.1 to 120.123.255.254120.123.255.255262,142
32120.124.0.0/14120.124.0.1 to 120.127.255.254120.127.255.255262,142
33120.128.0.0/14120.128.0.1 to 120.131.255.254120.131.255.255262,142
34120.132.0.0/14120.132.0.1 to 120.135.255.254120.135.255.255262,142
35120.136.0.0/14120.136.0.1 to 120.139.255.254120.139.255.255262,142
36120.140.0.0/14120.140.0.1 to 120.143.255.254120.143.255.255262,142
37120.144.0.0/14120.144.0.1 to 120.147.255.254120.147.255.255262,142
38120.148.0.0/14120.148.0.1 to 120.151.255.254120.151.255.255262,142
39120.152.0.0/14120.152.0.1 to 120.155.255.254120.155.255.255262,142
40120.156.0.0/14120.156.0.1 to 120.159.255.254120.159.255.255262,142
41120.160.0.0/14120.160.0.1 to 120.163.255.254120.163.255.255262,142
42120.164.0.0/14120.164.0.1 to 120.167.255.254120.167.255.255262,142
43120.168.0.0/14120.168.0.1 to 120.171.255.254120.171.255.255262,142
44120.172.0.0/14120.172.0.1 to 120.175.255.254120.175.255.255262,142
45120.176.0.0/14120.176.0.1 to 120.179.255.254120.179.255.255262,142
46120.180.0.0/14120.180.0.1 to 120.183.255.254120.183.255.255262,142
47120.184.0.0/14120.184.0.1 to 120.187.255.254120.187.255.255262,142
48120.188.0.0/14120.188.0.1 to 120.191.255.254120.191.255.255262,142
49120.192.0.0/14120.192.0.1 to 120.195.255.254120.195.255.255262,142
50120.196.0.0/14120.196.0.1 to 120.199.255.254120.199.255.255262,142
51120.200.0.0/14120.200.0.1 to 120.203.255.254120.203.255.255262,142
52120.204.0.0/14120.204.0.1 to 120.207.255.254120.207.255.255262,142
53120.208.0.0/14120.208.0.1 to 120.211.255.254120.211.255.255262,142
54120.212.0.0/14120.212.0.1 to 120.215.255.254120.215.255.255262,142
55120.216.0.0/14120.216.0.1 to 120.219.255.254120.219.255.255262,142
56120.220.0.0/14120.220.0.1 to 120.223.255.254120.223.255.255262,142
57120.224.0.0/14120.224.0.1 to 120.227.255.254120.227.255.255262,142
58120.228.0.0/14120.228.0.1 to 120.231.255.254120.231.255.255262,142
59120.232.0.0/14120.232.0.1 to 120.235.255.254120.235.255.255262,142
60120.236.0.0/14120.236.0.1 to 120.239.255.254120.239.255.255262,142
61120.240.0.0/14120.240.0.1 to 120.243.255.254120.243.255.255262,142
62120.244.0.0/14120.244.0.1 to 120.247.255.254120.247.255.255262,142
63120.248.0.0/14120.248.0.1 to 120.251.255.254120.251.255.255262,142
64120.252.0.0/14120.252.0.1 to 120.255.255.254120.255.255.255262,142
65121.0.0.0/14121.0.0.1 to 121.3.255.254121.3.255.255262,142
66121.4.0.0/14121.4.0.1 to 121.7.255.254121.7.255.255262,142
67121.8.0.0/14121.8.0.1 to 121.11.255.254121.11.255.255262,142
68121.12.0.0/14121.12.0.1 to 121.15.255.254121.15.255.255262,142
69121.16.0.0/14121.16.0.1 to 121.19.255.254121.19.255.255262,142
70121.20.0.0/14121.20.0.1 to 121.23.255.254121.23.255.255262,142
71121.24.0.0/14121.24.0.1 to 121.27.255.254121.27.255.255262,142
72121.28.0.0/14121.28.0.1 to 121.31.255.254121.31.255.255262,142
73121.32.0.0/14121.32.0.1 to 121.35.255.254121.35.255.255262,142
74121.36.0.0/14121.36.0.1 to 121.39.255.254121.39.255.255262,142
75121.40.0.0/14121.40.0.1 to 121.43.255.254121.43.255.255262,142
76121.44.0.0/14121.44.0.1 to 121.47.255.254121.47.255.255262,142
77121.48.0.0/14121.48.0.1 to 121.51.255.254121.51.255.255262,142
78121.52.0.0/14121.52.0.1 to 121.55.255.254121.55.255.255262,142
79121.56.0.0/14121.56.0.1 to 121.59.255.254121.59.255.255262,142
80121.60.0.0/14121.60.0.1 to 121.63.255.254121.63.255.255262,142
81121.64.0.0/14121.64.0.1 to 121.67.255.254121.67.255.255262,142
82121.68.0.0/14121.68.0.1 to 121.71.255.254121.71.255.255262,142
83121.72.0.0/14121.72.0.1 to 121.75.255.254121.75.255.255262,142
84121.76.0.0/14121.76.0.1 to 121.79.255.254121.79.255.255262,142
85121.80.0.0/14121.80.0.1 to 121.83.255.254121.83.255.255262,142
86121.84.0.0/14121.84.0.1 to 121.87.255.254121.87.255.255262,142
87121.88.0.0/14121.88.0.1 to 121.91.255.254121.91.255.255262,142
88121.92.0.0/14121.92.0.1 to 121.95.255.254121.95.255.255262,142
89121.96.0.0/14121.96.0.1 to 121.99.255.254121.99.255.255262,142
90121.100.0.0/14121.100.0.1 to 121.103.255.254121.103.255.255262,142
91121.104.0.0/14121.104.0.1 to 121.107.255.254121.107.255.255262,142
92121.108.0.0/14121.108.0.1 to 121.111.255.254121.111.255.255262,142
93121.112.0.0/14121.112.0.1 to 121.115.255.254121.115.255.255262,142
94121.116.0.0/14121.116.0.1 to 121.119.255.254121.119.255.255262,142
95121.120.0.0/14121.120.0.1 to 121.123.255.254121.123.255.255262,142
96121.124.0.0/14121.124.0.1 to 121.127.255.254121.127.255.255262,142
97121.128.0.0/14121.128.0.1 to 121.131.255.254121.131.255.255262,142
98121.132.0.0/14121.132.0.1 to 121.135.255.254121.135.255.255262,142
99121.136.0.0/14121.136.0.1 to 121.139.255.254121.139.255.255262,142
100121.140.0.0/14121.140.0.1 to 121.143.255.254121.143.255.255262,142
101121.144.0.0/14121.144.0.1 to 121.147.255.254121.147.255.255262,142
102121.148.0.0/14121.148.0.1 to 121.151.255.254121.151.255.255262,142
103121.152.0.0/14121.152.0.1 to 121.155.255.254121.155.255.255262,142
104121.156.0.0/14121.156.0.1 to 121.159.255.254121.159.255.255262,142
105121.160.0.0/14121.160.0.1 to 121.163.255.254121.163.255.255262,142
106121.164.0.0/14121.164.0.1 to 121.167.255.254121.167.255.255262,142
107121.168.0.0/14121.168.0.1 to 121.171.255.254121.171.255.255262,142
108121.172.0.0/14121.172.0.1 to 121.175.255.254121.175.255.255262,142
109121.176.0.0/14121.176.0.1 to 121.179.255.254121.179.255.255262,142
110121.180.0.0/14121.180.0.1 to 121.183.255.254121.183.255.255262,142
111121.184.0.0/14121.184.0.1 to 121.187.255.254121.187.255.255262,142
112121.188.0.0/14121.188.0.1 to 121.191.255.254121.191.255.255262,142
113121.192.0.0/14121.192.0.1 to 121.195.255.254121.195.255.255262,142
114121.196.0.0/14121.196.0.1 to 121.199.255.254121.199.255.255262,142
115121.200.0.0/14121.200.0.1 to 121.203.255.254121.203.255.255262,142
116121.204.0.0/14121.204.0.1 to 121.207.255.254121.207.255.255262,142
117121.208.0.0/14121.208.0.1 to 121.211.255.254121.211.255.255262,142
118121.212.0.0/14121.212.0.1 to 121.215.255.254121.215.255.255262,142
119121.216.0.0/14121.216.0.1 to 121.219.255.254121.219.255.255262,142
120121.220.0.0/14121.220.0.1 to 121.223.255.254121.223.255.255262,142
121121.224.0.0/14121.224.0.1 to 121.227.255.254121.227.255.255262,142
122121.228.0.0/14121.228.0.1 to 121.231.255.254121.231.255.255262,142
123121.232.0.0/14121.232.0.1 to 121.235.255.254121.235.255.255262,142
124121.236.0.0/14121.236.0.1 to 121.239.255.254121.239.255.255262,142
125121.240.0.0/14121.240.0.1 to 121.243.255.254121.243.255.255262,142
126121.244.0.0/14121.244.0.1 to 121.247.255.254121.247.255.255262,142
127121.248.0.0/14121.248.0.1 to 121.251.255.254121.251.255.255262,142
128121.252.0.0/14121.252.0.1 to 121.255.255.254121.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses